function out = x2solve_fun(x , paraminput, N, n, pi_param_scalar)

beta = paraminput.beta;
Bn = paraminput.Bn;
Gn = paraminput.Gn;
gamma = paraminput.gamma;
sigma = paraminput.sigma;
psi = paraminput.psi;
theta = paraminput.theta;

tmpsum = 0;
for j = n+1:(N-1)
    tmpsum = tmpsum + ((j - n)*(psi - theta)*Fni_fun(paraminput, N, n, j, pi_param_scalar, x)...
        - 4*pi_param_scalar*Fni_fun(paraminput, N, n+1, j, pi_param_scalar, x)).*log(x)^(j-n-1);
end

out = (beta - 1).*(1 - gamma).*Bn.*x - beta.*gamma.*Gn - (x)^gamma/(2*sigma^2).*tmpsum;


end