function out = xstar_fun(paraminput, N, n, pi_param, x0)

out = nan(size(pi_param));

options = optimoptions(@fminunc,'Display','off','Algorithm','quasi-newton','MaxFunctionEvaluations', 500);
% options = optimset('Display','off','MaxFunEvals',2000);%(@fminsearch,'Display','off','MaxFunctionEvaluations', 2000);
% options = optimoptions(@fsolve, 'Display','iter', 'MaxFunctionEvaluations', 2000);
% options = optimset('Display','iter');

paraminput_i = paraminput;
for i = 1:length(pi_param)
    paraminput_i.gamma = paraminput.gamma(i);
    paraminput_i.psi = paraminput.psi(i);
    paraminput_i.Bn = paraminput.Bn(i);
    paraminput_i.Gn = paraminput.Gn(i);
%     out(i) = fminsearch(@(x)(x2solve_fun(x , paraminput_i, N, n, pi_param(i)))^2, x0, options);
    out(i) = fminunc(@(x)(x2solve_fun(x , paraminput_i, N, n, pi_param(i)))^2, x0, options);
%     out(i) = fzero(@(x)(x2solve_fun(x , paraminput, N, n, pi_param(i))), [0.1, 40], options);
end


end