function results = aprts(var,n,nyse)
% the function is used for sorting portfolios
% the function bphml is used for sorting three portfolios only. 
% The function bpoints is used for sorting 'n' portfolios based on variable 'var'

if nargin == 2          % not using NYSE breakpoints
    
    if n == 3
        
        results = assign(var,bphml(var));
    
    else
        
        results = assign(var,bpoints(var,n));
    
    end

elseif nargin == 3      % using NYSE breakpoints
    
    if n == 3
        
        results = assign(var,bphml(var,nyse));
    
    else
        
        results = assign(var,bpoints(var,n,nyse));
        
    end
end