function [ result ] = doubleindex( var1,var2,n1,n2,nyse )

index = zeros(size(var1));

% using nyse breakpoints
if nargin == 5

    indvar1 = aprts(var1,n1,nyse);

    indvar2 = aprts(var2,n2,nyse);

    for i = 1 : n1

        for j = 1 : n2

            index(indvar1 == i & indvar2 == j) = (i-1)*n2 + j;

        end
    end
end


% using all stocks

if nargin == 4

    indvar1 = aprts(var1,n1);

    indvar2 = aprts(var2,n2);

    for i = 1 : n1

        for j = 1 : n2

            index(indvar1 == i & indvar2 == j) = (i-1)*n2 + j;
            
        end
    end
end

result = index;

end

