function res = nanols(y,x);

ind = isnan(y) ; 
for j = 1:cols(x); 
    ind = [ind + isnan(x(:,j))];
end
ind = sum(ind,2)==0 ; 

k = cols(x) ; 
% ind = sum(isnan([y x]),2)==0;

y = y(ind);
x = x(ind,:);

if rows(y)<2 | rows(x)<2 ; 
    res.meth  ='ols';
    res.y     = 0;
    res.nobs  = 0;
    res.nvar  = 0;
    res.beta  = nan*ones(k,1);
    res.yhat  = 0;
    res.resid = 0;
    res.sige  = 0;
    res.bstd  = 0; 
    res.bint  = 0; 
    res.tstat = nan*ones(k,1); 
    res.rsqr  = 0;
    res.rbar  = 0; 
    res.rsqr  = 0;
    res.dw    = 0;
else
    res = ols(y,x);
end

