function [pret,n,ME] = portfolioret(ret,ind,k,me)

if nargin == 4

    m = lag(me,k,nan);

end

if nargin == 3

    m = ones(size(ret));

    for h = 1:max(max(ind))   
        temp = [];

        for t = k+1:rows(ret)

            a = nan_sum(ind(t-k,:)==h)>0; 
           
            if sum(a)==0 
                
                a = temp; 
           
            end
        
            pret(t,h) = wmean(ret(t,a), m(t,a)); 
       
            n(t,h) = sum(abs(ret(t,a))>=0); 
        
            ME(t,h) = nansum(m(t,a).*~isnan(ret(t,a)));
        
            temp = a;

        end
    end 
    
    pret(1:k,:) = nan;

end

if nargin == 4 
    for h = 1:max(max(ind))

        temp = [];

        for t = k+1:rows(ret)

            a = nan_sum(ind(t-k,:)==h)>0;
            
            if sum(a)==0 
                
                a = temp; 
            end
        
            pret(t,h) = wmean(ret(t,a), m(t,a)); 
        
            n(t,h) = sum(abs(ret(t,a))>=0);
        
            ME(t,h) = nansum(m(t,a).*~isnan(ret(t,a)));
        
            temp = a;

        end
    end 
    pret(1:k,:) = nan; 
end
