function out = Fni_fun(paraminput, N, n, i, pi_param, xstar_n)

psi = paraminput.psi;
theta = paraminput.theta;
beta = paraminput.beta;
sigma = paraminput.sigma;

gamma = paraminput.gamma; 
Bn = paraminput.Bn; 
Gn = paraminput.Gn;

if i == N
    out = zeros(size(pi_param));
elseif i < N && i > n
    out = 2 * pi_param ./ (psi *(i - n) ).* Fni_fun(paraminput, N, n+1, i, pi_param, xstar_n)...
        + sigma^2 * (i - n + 1) ./ psi.* Fni_fun(paraminput, N, n, i+1, pi_param, xstar_n);
elseif i == n    
    tmpsum = 0;
    for j = n+1:(N-1)
        tmpsum = tmpsum + Fni_fun(paraminput, N, n, j, pi_param, xstar_n).*(log(xstar_n).^(j - n) - 2*sigma^2*(j - n)/(psi + theta).*(log(xstar_n).^(j - n - 1))  );
    end    
    out = 2*sigma^2*(xstar_n).^(-gamma)./(psi + theta).*( (1 - beta).*Bn.*xstar_n - beta.*Gn) - tmpsum;
    
end