function [Vn_with_unc, lambda, Vn_no_unc] = Vn_fun_hat(c, paraminput, N, n, u_hat, sigma_u_hat, x_i)

Vn_with_unc = integral(@(u)(Vn_fun(c, paraminput, N, n, exp(u*x_i)).*normpdf(u, u_hat, sigma_u_hat)), u_hat-6*sigma_u_hat, u_hat+6*sigma_u_hat, 'ArrayValued',true);
lambda = exp(u_hat*x_i);

Vn_no_unc = Vn_fun(c, paraminput, N, n, lambda);