function [beta_est, beta_var, beta_se] = cox_simulation_estimation_given_X_N(X, N_array, beta_param)

options = optimoptions(@fminunc,'Display','iter','Algorithm','quasi-newton','MaxFunctionEvaluations', 2000);
beta_est = fminunc(@(param)(U_fun(X, N_array, param))^2, beta_param, options);
beta_var = 1/I_fun(X, N_array, beta_est);
beta_se = sqrt(beta_var);