function [rp, rp_no_unc, V] = rp_mid_u_uncadv(c, paraminput, N, n, u_hat, x_i, unc_measure, a, b)

wp_good = source_fun(0.5, a, b);
wp_bad = 1 - wp_good;

V = Vn_fun(c, paraminput, N, n, exp((u_hat + unc_measure)*x_i) )*wp_good + Vn_fun(c, paraminput, N, n, exp((u_hat - unc_measure)*x_i))*wp_bad;
rp = paraminput.zeta.*pVn_mid_u_uncadv_pc_c(c, paraminput, N, n, u_hat, x_i, unc_measure, a, b)./V;
lambda = exp(u_hat*x_i);
[~, ~, rp_no_unc] = Vn_fun(c, paraminput, N, n, lambda);