function [ dataoutput ] = ConvertToMonthlyUpdate( data )
% The function converts data to monthly update (month*permno matrix)

temp = data;

data = nan(size(temp));

noyear = 10*((rows(data)/12)-floor((rows(data)/12)));

if noyear == 0

    data(6:12:end,:) = temp(6:12:end,:);

elseif noyear == 5

    data(12:12:end,:) = temp(12:12:end,:);
    
end

dataoutput = fillmonth(data);

end

