function R = cumret(ret,from,to) ; 

% calculates  cumulative returns 
    
if from-to==1
    if from == 1
        R = ret;
    else
    R = lag(ret,to);
    R(1:from-1,:) = nan;
    end;
    
else
    
    I = isnan(ret) ;
    ret(I)=0 ; 
    for j = from:rows(ret);
        a = ret(j-from+1:j-to,:);  % look at ret from "from" to "to" e.g. -12 to -1 month
        RR = cumprod(a +1);
        RR = RR(end,:);
        R(j,:) = RR;
    end
    R(1:from-1,:) = nan;
    R(I) = nan ; 
end

