function xwinfmb = make_fmbwin(x,point,method)
% set items for fmb (lag 1)
x(isfinite(x) == 0) = nan;
x(imag(x) ~= 0) = nan;

temp = find((sum(isfinite(x),2) > 0) == 1);

if nargin == 1
    point = 1;
end

if nargin == 3
    if method == 0
        xtemp = winsorize(x,point);
    else
        xtemp = trim(x,point);
    end
else
    xtemp = winsorize(x,point);
end

for i = 1:rows(temp)-1
    xtemp(temp(i):temp(i+1)-1,:) = repmat(xtemp(temp(i),:),temp(i+1)-temp(i),1);
end

n = rows(x);
xtemp(temp(end):n,:) = repmat(xtemp(temp(end),:),n-temp(end)+1,1);

xwinfmb = lag(xtemp,1,nan);