

% Newey and West(1987) HAC Estimator Based t-statistic
% OUTPUT: Robust t-statistic(One-sided to the Right)
% NOTE: ''intercept',false' means no intercpt

function TStat = olsnwt(x,y)

[T,~] = size(x);
maxLag = floor(4*(T/100)^(2/9));                                           % Bartlett Kernel with Fixed Lag Selection
% maxLag = 12;
[~,se,coeff] = hac(x,y,'bandwidth',maxLag+1,'intercept',false,'display','off');
TStat = coeff./se;

end

